Bug 218603 - irc/irssi-xmpp: Improve regex conformance
Summary: irc/irssi-xmpp: Improve regex conformance
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Larry Rosenman
URL:
Keywords:
Depends on:
Blocks: 218495
  Show dependency treegraph
 
Reported: 2017-04-12 16:55 UTC by Kyle Evans
Modified: 2017-06-06 15:05 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (jadawin)


Attachments
svn(1) diff of irc/irssi-xmpp (448 bytes, patch)
2017-04-12 16:55 UTC, Kyle Evans
no flags Details | Diff
irc/irssi-xmpp: svn diff. The same, but with PORTREVISION. (2.28 KB, patch)
2017-04-20 17:06 UTC, Account Removed
no flags Details | Diff
portlint -AC (283 bytes, text/plain)
2017-04-20 17:06 UTC, Account Removed
no flags Details
poudriere testport (46.20 KB, text/plain)
2017-04-20 17:06 UTC, Account Removed
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle Evans freebsd_committer 2017-04-12 16:55:34 UTC
Created attachment 181730 [details]
svn(1) diff of irc/irssi-xmpp

In EREs, left-brace is not to be interpreted as an ordinary character unless escaped. Using left-brace not as a part of a valid interval expression produces undefined results [1].

There is a patch-in-progress to fix our implementation to throw an error if left-brace is not used in a valid manner, it would be good to go ahead and address this before-hand. =)

[1] http://pubs.opengroup.org/onlinepubs/009696899/basedefs/xbd_chap09.html#tag_09_04_03
Comment 1 Account Removed 2017-04-20 17:06:00 UTC
Created attachment 181947 [details]
irc/irssi-xmpp: svn diff. The same, but with PORTREVISION.

Duplicate: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=218328
Comment 2 Account Removed 2017-04-20 17:06:34 UTC
Created attachment 181948 [details]
portlint -AC
Comment 3 Account Removed 2017-04-20 17:06:53 UTC
Created attachment 181949 [details]
poudriere testport
Comment 4 Account Removed 2017-04-20 17:07:56 UTC
Ehm, apologies, wrong window.
Comment 5 Larry Rosenman freebsd_committer 2017-04-27 13:30:33 UTC
take, Maintainer Timeout.
Comment 6 commit-hook freebsd_committer 2017-04-27 13:49:09 UTC
A commit references this bug:

Author: ler
Date: Thu Apr 27 13:48:17 UTC 2017
New revision: 439548
URL: https://svnweb.freebsd.org/changeset/ports/439548

Log:
  irc/irssi-xmpp: Improve regex conformance

  PR:		218603
  Submitted by:	Kyle Evans <bsdports@kyle-evans.net>
  Approved by:	 jadwin (maintainer timeout), rene (mentor)
  Differential Revision:	https://reviews.freebsd.org/D10524

Changes:
  head/irc/irssi-xmpp/Makefile
Comment 7 Larry Rosenman freebsd_committer 2017-04-27 13:49:39 UTC
Committed, thanks!
Comment 8 commit-hook freebsd_committer 2017-06-06 15:05:37 UTC
A commit references this bug:

Author: ler
Date: Tue Jun  6 15:05:17 UTC 2017
New revision: 442777
URL: https://svnweb.freebsd.org/changeset/ports/442777

Log:
  MFH: r438990 r439548

  Approved by: ports-secteam (blanket)

  irc/irssi-xmpp: Fix build with irssi 1.0

   - Add patch from upstream

  PR:		217916, 218328
  Submitted by:	Thibault Jouan <tj+freebsd_ports@a13.fr>
  Approved by:	maintainer timeout
  Obtained from:	https://github.com/cdidier/irssi-xmpp/issues/18

  irc/irssi-xmpp: Improve regex conformance

  PR:		218603
  Submitted by:	Kyle Evans <bsdports@kyle-evans.net>
  Approved by:	 jadwin (maintainer timeout), rene (mentor)
  Differential Revision:	https://reviews.freebsd.org/D10524

Changes:
_U  branches/2017Q2/
  branches/2017Q2/irc/irssi-xmpp/Makefile
  branches/2017Q2/irc/irssi-xmpp/files/